Add a custom user interface for chroma keying with the Alpha filter
ClosedPublic

Authored by suhas2go on May 29 2017, 6:12 PM.

Details

Summary

Co-authored-by: Jean-François Fortin Tam <nekohayo@gmail.com>
Co-authored-by: Thibault Saunier <thibault.saunier@collabora.com>

Depends on D1862

Diff Detail

Repository
rPTV Pitivi
suhas2go created this revision.May 29 2017, 6:12 PM
aleb added inline comments.May 29 2017, 10:58 PM
pitivi/utils/customwidgets/alpha.py
25 ↗(On Diff #5918)

from pitivi import configure

aleb added inline comments.May 29 2017, 11:10 PM
pitivi/effects.py
517 ↗(On Diff #5918)

This change should be reverted. If I select a clip and double-click an effect I get a backtrace instead of it being added to the clip.

suhas2go updated this revision to Diff 5937.Jun 5 2017, 10:04 PM
suhas2go edited the summary of this revision. (Show Details)

GtkEntry check empty properly

suhas2go updated this revision to Diff 5988.Jun 26 2017, 2:18 AM
suhas2go marked 2 inline comments as done.

Changes due to custom widget API change

suhas2go updated this revision to Diff 6038.Jul 11 2017, 5:27 PM
suhas2go edited the summary of this revision. (Show Details)

Use Spinbutton instead of Text Entry for setting RGB

aleb added inline comments.Aug 16 2017, 10:50 PM
pitivi/utils/custom_effect_widgets.py
89

remove _ suffix?

93

spaces around operators please

95

color_set_cb?

suhas2go marked 3 inline comments as done.Aug 23 2017, 2:54 PM
aleb requested changes to this revision.Aug 27 2017, 9:54 AM

If you change the "Target chroma key" R/G/B fields, the color in the button on the right should be updated.

This revision now requires changes to proceed.Aug 27 2017, 9:54 AM
aleb added a comment.Aug 27 2017, 10:04 AM

Would be awesome to use the color picker widget for alpha!

aleb added inline comments.Aug 30 2017, 9:02 AM
pitivi/utils/custom_effect_widgets.py
81

r_numeric_widget

suhas2go updated this revision to Diff 6445.Aug 30 2017, 2:39 PM

Integrated ColorPickerButton and binded all color widgets

suhas2go marked an inline comment as done.Aug 30 2017, 2:41 PM
aleb requested changes to this revision.Aug 31 2017, 8:25 AM
aleb added inline comments.
pitivi/utils/custom_effect_widgets.py
115

These widgets (and all the control widgets in the UI) should be connected to a signal from the controlled property of the effect (not to a property of another widget). This will allow them to update when Undo/Redo are used.

This revision now requires changes to proceed.Aug 31 2017, 8:25 AM
suhas2go updated this revision to Diff 6451.Sep 2 2017, 8:52 PM
suhas2go edited the summary of this revision. (Show Details)

Make Undo/Redo work

suhas2go marked an inline comment as done.Sep 2 2017, 8:53 PM
Closed by commit rPTVb6e72e2f321f: Add a custom user interface for chroma keying with the Alpha filter (authored by Suhas Nayak <suhas2go@gmail.com>, committed by aleb). · Explain WhySep 5 2017, 10:55 PM
This revision was automatically updated to reflect the committed changes.